html{
font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
font-size: 20px;
letter-spacing: 0.8px;
min-height: 100vh;
color: #d8e9ef;

}


/*Navbar cor da navegação superior*/
.topnav {
  overflow: hidden;
  background-color: #e9e7e7;
}

/*estilo dos links dentro da navegação*/
.topnav a{
    float: left;
    display: block;
    color: blue;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

/*mudança de cor quando clica em uma das opções*/
.topnav a:hover{
    background-color: rgb(0, 0, 0);
    color: rgb(255, 255, 255);


}

/*classe ativa para destacar a página atual*/

.topnav a.active{
    background-color: rgb(0, 238, 255);
    color: white;
}

/*ocultar o ícone que deve abrir e fechar a navegação superior em telas de celular*/
 .topnav .icon{
    display: none;
 }

/*navbar responsiva
obs: telas de 600 pxiels escondem todos os links, exceto o ("Home").
as opções vão aparecer quando a barra de navegação superior abrir (topnav) (.icon)*/
@media screen and (max-width: 600px) {
    .topnav a:not(:first-child) {display: none;}
    .topnav a.icon{
        float: right;
        display: block;
    }
}

/* Classe "responsive". Essa classe faz com que a navegação para celulares fique boa (exibindo os links verticalmente em vez de horizontalmente).
OBS: a classe é adicionada ao topo da navegação com JavaScript quando usuário clica no ícone*/
@media screen and (max-width: 600px){
    .topnav.responsive{position: relative;}
    .topnav.responsive a.icon{
        position: absolute;
        right: 0;
        top: 0;
    } 
    .topnav.responsive a {
        float: none;
        display: block;
        text-align: left;
    }
}





/*video de fundo*/
.video-bg{
    position: fixed;
    top: 0;
    left: 0;
    min-width: 100%;
    min-height: 100%;
    object-fit: cover;
    z-index: -1;/*joga o video atrás do conteúdo*/
}

/*contéudo por cima do video*/
.content {
    position: relative;
    z-index: 1;
    color: white;
    text-align: center;
    top: 40%;
    font-size: 2rem;
}

/*contéudo principal*/
h1{
    margin: 0 auto 10px auto;
    color: rgb(51, 51, 228);
}

p{
    margin: 0;
}

.app-message{
    height: 20px;
    margin: 10px auto 20px auto;
}

.app-container{
    width: 250px;
    height: 420px;
    margin: 40px auto;
    text-align: center;
    border-radius: 5px;
    padding: 20px;
}

/* alinhamento do circulo*/
.app-circle{
    position: relative;
    margin: 0 auto;
    width: 200px;
    height: 200px;
}

.circle-shape{
    pointer-events: none;
}

.semi-circle{
    position: absolute;
    width: 100px;
    height: 200px;
    box-sizing: border-box;
    border: solid 6px;
}

.left-side{
    top: 0;
    left: 0;
    transform-origin: right center;
    transform: rotate(0deg);
    border-top-left-radius: 100px;
    border-bottom-left-radius: 100px;
    border-right: none;
    z-index: 1;
}

.right-side{
top: 0;
left: 100px;
transform-origin: left center;
transform: rotate(0deg);
border-top-right-radius: 100px;
border-bottom-right-radius: 100px;
border-left: none;
}

/*cor*/
.circle{
    border-color: rgb(0, 238, 255);
}

.circle-mask{
    border-color: blue;
}

/*timer*/
.app-counter-box{
    font-family: 'Droid Sans Mono', monospace;
    font-size: 250%;
    position: relative;
    top: 50px;
    color: #d8e9ef;
}


/*botão*/
button{
    position: relative;
    top: 50px;
    font-size: 80%;
    text-transform: uppercase;
    letter-spacing: 1px;
    border: none;
    background: rgb(0, 0, 0);
    outline: none;
    color: #ffffff;
    transition: .5s;
}

button:hover{
    color: #2f00ff;
    letter-spacing: .25em; /*espaçamento quando vc clica no icone*/
}
